%define libver 0.8
Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		goffice
Version:	0.7.12
Release:	1
Provides:	%{name}
License:	GNU/LGPL 
URL:		ftp://ftp,gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	document-centric objects library

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgsf-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
GOffice is a library of document-centric objects and utilities building on top of GLib and Gtk+ and used by software such as Gnumeric.

%package 	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description 	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary: 	%{name} documents.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build

./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
            --sysconfdir=%_sysconfdir/gnome \
            --localstatedir=/var/lib \
            --mandir=$(pkg-config --variable=prefix ORBit-2.0)/share/man 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/libgoffice-%libver.so.*
%_libdir/goffice
%_datadir/goffice
%_datadir/locale/*/LC_MESSAGES/goffice-%{version}.mo
%_datadir/pixmaps/goffice

%files devel
%defattr(-,root,root)
%_includedir/libgoffice-%libver/
%_libdir/pkgconfig/libgoffice-%libver.pc
%_libdir/libgoffice-%libver.la
%_libdir/libgoffice-%libver.so

%files doc
%defattr(-,root,root)
%_datadir/gtk-doc/html/goffice-%libver

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.12-1
- Version update
* Mon Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.1-1
- Version update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.5-1
- Version update
* Sat Sep 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0-1
- Initial Release
